---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: nginx-test
  annotations:
    kubernetes.io/ingress.class: "nginx"
    cert-manager.io/cluster-issuer: letsencrypt-production
    alias-managed: "true"
spec:
  ingressClassName: nginx
  rules:
    - host: let-03-upgrade.ethz.ch
      http:
        paths:
          - backend:
              service:
                name: nginx-test
                port:
                  number: 8080
            pathType: Prefix
            path: /
  tls:
    - hosts:
        - let-03-upgrade.ethz.ch
      secretName: let-03-upgrade
